\documentclass[bibtotocnumbered,twoside,DIV=12,BCOR=7mm]{scrbook}

\usepackage{amsmath,amssymb,amsfonts,dsfont}
\usepackage{graphicx,color,subfigure,units}
\usepackage{algorithm2e}
\usepackage{ucs}
\usepackage[numbers]{natbib}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{parskip} % do no indentation
\usepackage{chngcntr}
\usepackage{pdfpages}
\usepackage{hyperref}
\hypersetup{
  colorlinks=true,
  linkcolor=black,
  citecolor=black,
  filecolor=black,
  urlcolor=black
}

\include{macro}
\include{abbr}

\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}

%%\counterwithout{algocf}{chapter}
%%\counterwithin*{algocf}{chapter}
%%\renewcommand{\thealgocf}{\arabic{chapter}.\arabic{algocf}}

\newcommand{\pe}{\; +=}

\SetKw{KwAnd}{and}
\SetKw{KwNot}{not}
\SetKw{KwIN}{in}
\SetKw{KwContinue}{continue}

\begin{document}

\pagenumbering{roman}

\include{titlepage}
% \newpage

%------------------------------------------------------------------
% copyright
\vspace*{51mm}
\noindent
\textbf{Organisation:}\\
Institut f\"ur Festigkeitslehre\\
Technische Universit\"at Graz\\
Kopernikusgasse 24/I\\
8010 Graz\\
Tel.: +43-316-873-7166\\
Fax: +43-316-873-7169

\vspace*{40mm}

\noindent
\copyright 2012\\
Michael E. Hammer\\
Institut f\"ur Festigkeitslehre\\
Technische Universit\"at Graz\\
Kopernikusgasse 24/I\\
8010 Graz\\
Tel.: +43-316-873-7667\\
Fax: +43-316-873-7169

\vspace*{18mm}

\noindent
Alle Rechte, insbesondere das der \"Ubersetzung in fremde Sprachen,
vorbehalten. Ohne Genehmigung des Autors ist es nicht gestattet,
dieses Heft ganz oder teilweise auf fotomechanischem Wege (Fotokopie,
Mikrokopie) zu vervielf\"altigen.
\newpage

\includepdf[picturecommand={%
\put(130,105){\color[rgb]{0,0,0}\makebox(0,0)[b]{\Large 13. Mai 2012}}%
\put(175,447){\color[rgb]{0,0,0}\makebox(0,0)[b]{\Large 13. Mai 2012}}%
}]%
{eidesstattliche_erklaerung.pdf}

%------------------------------------------------------------------
% abastract

\section*{Abstract}

This thesis treats the numerical modelling of structural contact
problems. Beside the normal contact we will implement Coulomb's
friction law in tangential direction. A special focus is given on the
handling of non matching mesh interfaces. In comparison to the
classical node-on-segment approach we will apply a rather new
segment-to-segment method, namely the mortar method. It is well known
that the node-on-segment methods suffer deficiencies of locking or
suboptimal convergence behavior. In contrast the mortar method shows
optimal convergence behavior. The advantages of this theory have been
proven by various works on this topic. The mortar method was
implemented as mixed method with displacements and Lagrange
multipliers as degrees of freedom. For the mortar method the contact
constraints are fulfilled in weak manner. In this thesis will
concentrate on the contact kinematics and compare different
formulations for the surface normal field, which is vital for any
contact formulation. Further a special kind of numerical integration
scheme is applied. The presented theory is then applied to various
numerical examples to show the performance of our algorithm.

\section*{Kurzfassung}

Diese Arbeit behandelt die numerische Modellierung des Kontakts
zweier verformbarer Körper. Neben dem Kontakt in Richtung der
Oberflächennormalen wurde auch der Kontakt in Tangentialrichtung als
Coulombsche Reibung implementiert. Spezielles Augenmerk wurde dabei
auf die Behandlung nicht kompatibler Netzdiskretisierung gelegt. Im
Vergleich zu den klassischen ``node-on-segment'' Methoden, wurden die
neuere ``segment-to-segment'' Methode, die so genannte Mortar Methode,
verwendet. Es ist bekannt, dass ``node-on-segment'' Methoden diverse
Schwierigkeit wie ``Locking''- Effekte und suboptimales
Konvergenzverhalten zeigen. Im Gegensatz dazu zeigt die Mortar Methode
optimales Konvergenzverhalten. Die Vorteile dieser Methode wurden
bereits durch mehrere Arbeiten zu diesem Thema bewiesen. Die Mortar
Methode wurde als gemischtes Verfahren, mit Verschiebungen und den
Lagrange Multiplikatoren als Unbekannte, realisiert. Die
Kontaktbedingungen werden hier nur mehr in schwacher Form erfüllt. In
dieser Arbeit werden wir uns auf die Formulierung der Kontaktkinematik
konzentrieren, um einen Vergleich zwischen verschiedenen
Oberflächennormalen zu ermöglichen. Darüber hinaus kommt ein
spezielles numerisches Integrationsschema zur Anwendung. Die
dargestellte Theorie wird auf verschiedene numerische Beispiele
angewandt, um die Leistungsfähigkeit des Algorithmus zu zeigen.

\newpage

%------------------------------------------------------------------
% acknowledgements
\section*{Acknowledgements}

This thesis was done in the years between 2007 and 2012 at the
Institute for Strength of Materials at Graz University of Technology,
where I had the opportunity to work as scientific assistant.

I would like to thank Prof. Christian C. Celigoj for the advice and
the possiblity to work at his institute.

Special thanks go to Prof. Alois Steindl for his efforts as external
examiner of this thesis.

Next, I want to thank my fellow workers who have supported me
throughout the years. Manfred Ulz for a lot of valuable discussions
which inspired my work. I would like to thank Stefan Hollerer for the
great ideas and intuitions he shared with me.

Last but not least I really would like to thank my family for their
support. Withouth them it would not been possible to finish this work.

\vspace{2cm}

\begin{flushright}
  Michael E. Hammer, Graz, May 2012
\end{flushright}

\newpage

\tableofcontents
\listoffigures
\listofalgorithms
\markboth{List of Algorithms}{List of Algorithms}
\cleardoublepage
\pagenumbering{arabic}

\include{introduction}
\include{continuum_mechanics}
\include{contact_kinematics}
\include{discrete_contact_kinematics}
\include{contact_mechanics}
\include{finite_element}
\include{implementation}
\include{examples}
\include{conclusion}

\begin{appendix}
  \include{linearization}
\end{appendix}

\bibliographystyle{plainnat}
\bibliography{literature}
% \nocite{*}

\end{document}

%%% Local Variables: 
%%% mode: latex
%%% eval: (setenv "TEXINPUTS" "./images//:")
%%% End: 
